Package org.eclipse.rdf4j.federated

## Class FederationContext

- java.lang.Object
- - org.eclipse.rdf4j.federated.FederationContext

-     public class FederationContext
      extends Object

  Context to maintain the state of the current federation
  Author:
    Andreas Schwarte

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FederationContext​(FederationManager manager, EndpointManager endpointManager, QueryManager queryManager, DelegateFederatedServiceResolver federatedServiceResolver, Monitoring monitoring, FedXConfig fedXConfig)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `FedXConfig` | `getConfig()` |
    `EndpointManager` | `getEndpointManager()` |
    `DelegateFederatedServiceResolver` | `getFederatedServiceResolver()` |
    `FedX` | `getFederation()` |
    `FederationManager` | `getManager()` |
    `Monitoring` | `getMonitoringService()` |
    `QueryManager` | `getQueryManager()` |
    `FederationEvalStrategy` | `getStrategy()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FederationContext

          public FederationContext​(FederationManager manager,
                                   EndpointManager endpointManager,
                                   QueryManager queryManager,
                                   DelegateFederatedServiceResolver federatedServiceResolver,
                                   Monitoring monitoring,
                                   FedXConfig fedXConfig)

  - ### Method Detail

    - #### getFederation

          public FedX getFederation()

    - #### getManager

          public FederationManager getManager()

    - #### getQueryManager

          public QueryManager getQueryManager()

    - #### getEndpointManager

          public EndpointManager getEndpointManager()

    - #### getStrategy

          public FederationEvalStrategy getStrategy()

    - #### getMonitoringService

          public Monitoring getMonitoringService()

    - #### getFederatedServiceResolver

          public DelegateFederatedServiceResolver getFederatedServiceResolver()

    - #### getConfig

          public FedXConfig getConfig()